### Method

# Snapd Connection get_plug_attribute_names

since: 1.48

#### Declaration [src]

    GStrv
    snapd_connection_get_plug_attribute_names (
      SnapdConnection* connection,
      guint* length
    )

#### Description [src]

Get the names of the attributes the connected plug has.

Available since: 1.48

#### Parameters

`length`

  Type: `guint*`

  Location to write number of attributes or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

A string array of attribute names. Free with g_strfreev().

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.